/*
 * Copyright: (c) 2004-2011 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.twinkql.result;

import org.twinkql.context.Qname;

/**
 * The Class ResultMapNotFoundException.
 *
 * @author <a href="mailto:kevin.peterson@mayo.edu">Kevin Peterson</a>
 */
public class ResultMapNotFoundException extends RuntimeException {

	private static final long serialVersionUID = -3572551432548266228L;
	
	public ResultMapNotFoundException(Qname resultMap){
		this(resultMap.getNamespace(), resultMap.getLocalName());
	}
	
	/**
	 * Instantiates a new sparql map not found exception.
	 *
	 * @param namespace the namespace
	 * @param resultMapId the resultMapId
	 */
	public ResultMapNotFoundException(String namespace, String resultMapId){
		super("Result Map with ID: " + resultMapId + " of namespace " + namespace + " was not found.");
	}

}
